﻿using System;
using System.Collections.Generic;

namespace NhsOptOut.Models
{
    public partial class Mpifull
    {
        public string PaperRowid { get; set; }
        public string PatientNumber { get; set; }
        public string TraceStatus { get; set; }
        public string NationalId { get; set; }
        public string TitleSalutation { get; set; }
        public string Surname { get; set; }
        public string Forename { get; set; }
        public DateTime? DateOfBirth { get; set; }
        public DateTime? DateOfDeath { get; set; }
        public string TimeOfDeath { get; set; }
        public string Gender { get; set; }
        public string EthnicGroup { get; set; }
        public string PreferredLanuguage { get; set; }
        public string Religion { get; set; }
        public string MaritalStatus { get; set; }
        public string Add1 { get; set; }
        public string Add2 { get; set; }
        public string Add3 { get; set; }
        public string PostCode { get; set; }
        public string Region { get; set; }
        public string HealthCareAreaCode { get; set; }
        public string HealthCareAreaDescription { get; set; }
        public string HomePhone { get; set; }
        public string WorkPhone { get; set; }
        public string RegisteredGpcode { get; set; }
        public string RegisteredGpname { get; set; }
        public string RegisteredGppracticeCode { get; set; }
        public string RegisteredGppracticename { get; set; }
        public string RegisteredGpccgcode { get; set; }
        public string RegisteredGpccgname { get; set; }
        public DateTime? UpdateDate { get; set; }
        public string AddressDateFrom1 { get; set; }
        public string AddressLineA1 { get; set; }
        public string AddressLineC1 { get; set; }
        public string AddressCityCode1 { get; set; }
        public string AddressCityDescription1 { get; set; }
        public string AddressCountyCode1 { get; set; }
        public string AddressCountyDescription1 { get; set; }
        public string AddressRegionCode1 { get; set; }
        public string AddressRegionsDescription1 { get; set; }
        public string AddressPostCode1 { get; set; }
        public string AddressCountryCode1 { get; set; }
        public string AddressCountryDescription1 { get; set; }
        public string AddressDateFrom2 { get; set; }
        public string AddressLineA2 { get; set; }
        public string AddressLineC2 { get; set; }
        public string AddressCityCode2 { get; set; }
        public string AddressCityDescription2 { get; set; }
        public string AddressCountyCode2 { get; set; }
        public string AddressCountyDescription2 { get; set; }
        public string AddressRegionCode2 { get; set; }
        public string AddressRegionsDescription2 { get; set; }
        public string AddressPostCode2 { get; set; }
        public string AddressCountryCode2 { get; set; }
        public string AddressCountryDescription2 { get; set; }
        public string AddressDateFrom3 { get; set; }
        public string AddressLineA3 { get; set; }
        public string AddressLineC3 { get; set; }
        public string AddressCityCode3 { get; set; }
        public string AddressCityDescription3 { get; set; }
        public string AddressCountyCode3 { get; set; }
        public string AddressCountyDescription3 { get; set; }
        public string AddressRegionCode3 { get; set; }
        public string AddressRegionsDescription3 { get; set; }
        public string AddressPostCode3 { get; set; }
        public string AddressCountryCode3 { get; set; }
        public string AddressCountryDescription3 { get; set; }
        public string AddressDateFrom4 { get; set; }
        public string AddressLineA4 { get; set; }
        public string AddressLineC4 { get; set; }
        public string AddressCityCode4 { get; set; }
        public string AddressCityDescription4 { get; set; }
        public string AddressCountyCode4 { get; set; }
        public string AddressCountyDescription4 { get; set; }
        public string AddressRegionCode4 { get; set; }
        public string AddressRegionsDescription4 { get; set; }
        public string AddressPostCode4 { get; set; }
        public string AddressCountryCode4 { get; set; }
        public string AddressCountryDescription4 { get; set; }
        public string AddressDateFrom5 { get; set; }
        public string AddressLineA5 { get; set; }
        public string AddressLineC5 { get; set; }
        public string AddressCityCode5 { get; set; }
        public string AddressCityDescription5 { get; set; }
        public string AddressCountyCode5 { get; set; }
        public string AddressCountyDescription5 { get; set; }
        public string AddressRegionCode5 { get; set; }
        public string AddressRegionsDescription5 { get; set; }
        public string AddressPostCode5 { get; set; }
        public string AddressCountryCode5 { get; set; }
        public string AddressCountryDescription5 { get; set; }
        public DateTime? GpdateFrom1 { get; set; }
        public string Gpcode1 { get; set; }
        public string Gpdesc1 { get; set; }
        public string Gpgmc1 { get; set; }
        public string Gpgroup1 { get; set; }
        public string Gpccgcode1 { get; set; }
        public string Gpccgdesc1 { get; set; }
        public string Gpaddress1 { get; set; }
        public string GppracticeCode1 { get; set; }
        public string GppracticeDesc1 { get; set; }
        public DateTime? GpdateFrom2 { get; set; }
        public string Gpcode2 { get; set; }
        public string Gpdesc2 { get; set; }
        public string Gpgmc2 { get; set; }
        public string Gpgroup2 { get; set; }
        public string Gpccgcode2 { get; set; }
        public string Gpccgdesc2 { get; set; }
        public string Gpaddress2 { get; set; }
        public string GppracticeCode2 { get; set; }
        public string GppracticeDesc2 { get; set; }
        public DateTime? GpdateFrom3 { get; set; }
        public string Gpcode3 { get; set; }
        public string Gpdesc3 { get; set; }
        public string Gpgmc3 { get; set; }
        public string Gpgroup3 { get; set; }
        public string Gpccgcode3 { get; set; }
        public string Gpccgdesc3 { get; set; }
        public string Gpaddress3 { get; set; }
        public string GppracticeCode3 { get; set; }
        public string GppracticeDesc3 { get; set; }
        public DateTime? GpdateFrom4 { get; set; }
        public string Gpcode4 { get; set; }
        public string Gpdesc4 { get; set; }
        public string Gpgmc4 { get; set; }
        public string Gpgroup4 { get; set; }
        public string Gpccgcode4 { get; set; }
        public string Gpccgdesc4 { get; set; }
        public string Gpaddress4 { get; set; }
        public string GppracticeCode4 { get; set; }
        public string GppracticeDesc4 { get; set; }
        public DateTime? GpdateFrom5 { get; set; }
        public string Gpcode5 { get; set; }
        public string Gpdesc5 { get; set; }
        public string Gpgmc5 { get; set; }
        public string Gpgroup5 { get; set; }
        public string Gpccgcode5 { get; set; }
        public string Gpccgdesc5 { get; set; }
        public string Gpaddress5 { get; set; }
        public string GppracticeCode5 { get; set; }
        public string GppracticeDesc5 { get; set; }
        public string OverseasVisitorStatusCodeLastEpisode { get; set; }
        public string OverseasVisitorStatusDescriptionLastEpisode { get; set; }
        public string AliasInternalRowid1 { get; set; }
        public string AliasFreeText1 { get; set; }
        public string AliasActiveCode1 { get; set; }
        public string AliasChangeDate1 { get; set; }
        public string AliasChangeTime1 { get; set; }
        public string AliasSurname1 { get; set; }
        public string AliasDateOfBirth1 { get; set; }
        public string AliasType1 { get; set; }
        public string AliasFullHl7text1 { get; set; }
        public string AliasInternalRowid2 { get; set; }
        public string AliasFreeText2 { get; set; }
        public string AliasActiveCode2 { get; set; }
        public string AliasChangeDate2 { get; set; }
        public string AliasChangeTime2 { get; set; }
        public string AliasSurname2 { get; set; }
        public string AliasDateOfBirth2 { get; set; }
        public string AliasType2 { get; set; }
        public string AliasFullHl7text2 { get; set; }
        public string AliasInternalRowid3 { get; set; }
        public string AliasFreeText3 { get; set; }
        public string AliasActiveCode3 { get; set; }
        public string AliasChangeDate3 { get; set; }
        public string AliasChangeTime3 { get; set; }
        public string AliasSurname3 { get; set; }
        public string AliasDateOfBirth3 { get; set; }
        public string AliasType3 { get; set; }
        public string AliasFullHl7text3 { get; set; }
        public string AliasInternalRowid4 { get; set; }
        public string AliasFreeText4 { get; set; }
        public string AliasActiveCode4 { get; set; }
        public string AliasChangeDate4 { get; set; }
        public string AliasChangeTime4 { get; set; }
        public string AliasSurname4 { get; set; }
        public string AliasDateOfBirth4 { get; set; }
        public string AliasType4 { get; set; }
        public string AliasFullHl7text4 { get; set; }
        public string AliasInternalRowid5 { get; set; }
        public string AliasFreeText5 { get; set; }
        public string AliasActiveCode5 { get; set; }
        public string AliasChangeDate5 { get; set; }
        public string AliasChangeTime5 { get; set; }
        public string AliasSurname5 { get; set; }
        public string AliasDateOfBirth5 { get; set; }
        public string AliasType5 { get; set; }
        public string AliasFullHl7text5 { get; set; }
        public string AliasInternalRowid6 { get; set; }
        public string AliasFreeText6 { get; set; }
        public string AliasActiveCode6 { get; set; }
        public string AliasChangeDate6 { get; set; }
        public string AliasChangeTime6 { get; set; }
        public string AliasSurname6 { get; set; }
        public string AliasDateOfBirth6 { get; set; }
        public string AliasType6 { get; set; }
        public string AliasFullHl7text6 { get; set; }
        public string AliasInternalRowid7 { get; set; }
        public string AliasFreeText7 { get; set; }
        public string AliasActiveCode7 { get; set; }
        public string AliasChangeDate7 { get; set; }
        public string AliasChangeTime7 { get; set; }
        public string AliasSurname7 { get; set; }
        public string AliasDateOfBirth7 { get; set; }
        public string AliasType7 { get; set; }
        public string AliasFullHl7text7 { get; set; }
        public string AliasInternalRowid8 { get; set; }
        public string AliasFreeText8 { get; set; }
        public string AliasActiveCode8 { get; set; }
        public string AliasChangeDate8 { get; set; }
        public string AliasChangeTime8 { get; set; }
        public string AliasSurname8 { get; set; }
        public string AliasDateOfBirth8 { get; set; }
        public string AliasType8 { get; set; }
        public string AliasFullHl7text8 { get; set; }
        public string AliasInternalRowid9 { get; set; }
        public string AliasFreeText9 { get; set; }
        public string AliasActiveCode9 { get; set; }
        public string AliasChangeDate9 { get; set; }
        public string AliasChangeTime9 { get; set; }
        public string AliasSurname9 { get; set; }
        public string AliasDateOfBirth9 { get; set; }
        public string AliasType9 { get; set; }
        public string AliasFullHl7text9 { get; set; }
        public string AliasInternalRowid10 { get; set; }
        public string AliasFreeText10 { get; set; }
        public string AliasActiveCode10 { get; set; }
        public string AliasChangeDate10 { get; set; }
        public string AliasChangeTime10 { get; set; }
        public string AliasSurname10 { get; set; }
        public string AliasDateOfBirth10 { get; set; }
        public string AliasType10 { get; set; }
        public string AliasFullHl7text10 { get; set; }
        public string AliasInternalRowid11 { get; set; }
        public string AliasFreeText11 { get; set; }
        public string AliasActiveCode11 { get; set; }
        public string AliasChangeDate11 { get; set; }
        public string AliasChangeTime11 { get; set; }
        public string AliasSurname11 { get; set; }
        public string AliasDateOfBirth11 { get; set; }
        public string AliasType11 { get; set; }
        public string AliasFullHl7text11 { get; set; }
        public string PapmiActive { get; set; }
    }
}
